{  DIELECTRIC.PDE  }
title
  'Electrostatic Potential'
variables
  V
definitions
  eps = 1
equations
  div(eps*grad(V)) = 0		
boundaries
  region 1
    start (0,0)
    value(V) = 0   		line to (1,0)
    natural(V) = 0        	line to (1,1)
    value(V) = 100        	line to (0,1)
    natural(V) = 0        	line to finish
  region 2
    eps = 50
      start (0.4,0.4)
      line to (0.8,0.4) to (0.8,0.8)
to (0.6,0.8) to (0.6,0.6)
to (0.4,0.6) to finish
monitors
  contour(V) as 'Potential'
plots
  grid(x,y)
  contour(V) as 'Potential'
  vector(-dx(V),-dy(V)) as 'Electric Field'
end    221432673
